@extends('admin.layout') 

@section('content')
	<div class="row" style="z-index: 1000">
		<div class="col-sm-12">
			<div class="ibox float-e-margins">
				<div class="ibox-title">
					<h5>单据管理</h5>
					<div class="ibox-tools">
						<a class="collapse-link"> <i class="fa fa-chevron-up"></i>
						</a>
					</div>
				</div>
				<div class="ibox-content">
				    <div class="row">
				        <form method="GET" action="" accept-charset="UTF-8">

				        <div class="col-sm-4">
				            <div class="input-group">
								<input type="text" value="{{Request::get('keyword')}}"	placeholder="请输入关键词" name="keyword"class="input-sm form-control"> 
								<span class="input-group-btn">
									<button type="submit" class="btn btn-sm btn-primary">搜索</button>
								</span>
    						</div>
				        </div>
				        </form>
						<form method="post" action="export" accept-charset="UTF-8">
							<input type="hidden" name="_token" value="{{ csrf_token() }}" />
							<div class="col-sm-4">
								<div class="input-group">
									<button type="submit" class="btn btn-sm btn-primary">导出excel</button>
								</div>
							</div>
						</form>
						@if(role('Medical/Order/create'))
    					<div class="col-sm-3 pull-right">
    					   <a href="{{ U('Medical/Order/create')}}" class="btn btn-sm btn-primary pull-right">添加</a>
    					</div>
						@endif
					</div>
					
					<table class="table table-striped table-bordered table-hover dataTables-example dataTable">
						<thead>
    						<tr>
								
            <th class="sorting" data-sort="id"> ID </th>
            <th class="sorting" data-sort="mobile"> 客户电话号 </th>
            <th class="sorting" data-sort="name"> 受检者姓名 </th>
            <th class="sorting" data-sort="nationality"> 民族 </th>
            <th class="sorting" data-sort="sex"> 性别 </th>
            <th class="sorting" data-sort="email"> 电子邮件地址 </th>
            <th class="sorting" data-sort="native_place"> 籍贯 </th>
        						<th width="22%">相关操作</th>
        					</tr>
						</thead>
						<tbody>
						@if(isset($list))
							@foreach($list as $key => $item)							<tr>
								
            <td>{{ $item->id }}</td>
            <td>{{ $item->mobile }}</td>
            <td>{{ $item->name }}</td>
            <td>{{ $item->nationality }}</td>
            <td>{{ $item->sex }}</td>
            <td>{{ $item->email }}</td>
            <td>{{ $item->native_place }}</td>
								<td>
									<div class="btn-group">
										<button data-toggle="dropdown"
											class="btn btn-warning btn-sm dropdown-toggle"
											aria-expanded="false">
											操作 <span class="caret"></span>
										</button>
										<ul class="dropdown-menu">


											@if(role('Medical/Order/update'))
											<li><a href="{{ U('Medical/Order/update',['id'=>$item->id])}}" class="font-bold">修改</a></li>
											@endif

											@if(role('Medical/Order/destroy'))
											<li class="divider"></li>
											<li><a href="{{ U('Medical/Order/destroy',['id'=>$item->id])}}" onclick="return confirm('你确定执行删除操作？');">删除</a></li>
											@endif
                                                <li class="divider"></li>
                                                <li><a href="javascript:open({{$item->id}});">上传</a></li>
										</ul>
									</div>
								@if(role('Medical/Order/view'))
										<button onclick="layer.open({type: 2,area: ['80%', '90%'],content: '{{ U('Medical/Order/view',['id'=>$item->id])}}'});"  class="btn btn-primary ">查看</button>
									@endif
										{{--{!!  widget('Tools.FileUpload')->singles('/upload/pdf','pdf'.$item->id,"data[pdf]",'',$item->id,'{{ csrf_token() }}') !!}--}}
								</td>
							</tr>
							@endforeach
							@endif

						</tbody>
					</table>
					<div class="row">
						<div class="col-sm-6">
							<div class="dataTables_info" id="DataTables_Table_0_info"
								role="alert" aria-live="polite" aria-relevant="all">每页{{ $list->count() }}条，共{{ $list->lastPage() }}页，总{{ $list->total() }}条。</div>
						</div>
						<div class="col-sm-6">
						<div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
						{!! $list->setPath('')->appends(Request::all())->render() !!}
						</div>
						</div>
					</div>
				</div>
			</div>
		</div>


	</div>
    <div id="modelss" style="width: 100%; height: 100%; background:rgba(0,0,0,0.6); z-index: 10;position: fixed;top:0;display: none">
        <div class="inmodal" id="myModal2" tabindex="1" role="dialog" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content animated flipInY">
                    <div class="modal-header">
                        <button type="button" class="close" onclick="javascript:
                                        $('#modelss').css('display','none');"><span >×</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title">上传pdf</h4></div><small class="font-bold">
                        <div class="modal-body">
                            <div class="ibox float-e-margins">
                                <div class="ibox-content">

                                    <form name="form_product" id="form-validation" action="upload" class="form-horizontal form-validation" enctype="multipart/form-data" accept-charset="UTF-8" method="post">
                                        {{ csrf_field() }}
                                        <div class="form-group">
                                            <label class="control-label col-sm-3">pdf</label>

                                            <div class="col-sm-9">
                                                <input type="file" name="pdf" id="pdf" class="form-control">
                                            </div>
                                        </div>




                                        <div class="form-group">
                                            <label class="control-label col-sm-3">&nbsp;</label>
                                            <div class="col-sm-9">
                                                <input type="hidden" class="update_id" name="id" value="">
                                                <input type="hidden" name="_referer" value="<?php echo urlencode(request()->server('HTTP_REFERER'));?>"/>
                                                <input type="hidden" name="_token" value="<?php echo csrf_token(); ?>"/>
                                                <input type="submit" class="btn btn-success" style="margin-right:20px;">
                                                <input type="reset" class="btn btn-default" >
                                            </div>
                                        </div>

                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" id="close" class="btn btn-white" onclick="javascript:
                                        $('#modelss').css('display','none');">关闭</button>
                        </div>
                    </small></div><small class="font-bold">
                </small></div><small class="font-bold">
            </small>
        </div>
    </div>
    <script>

        $('#close').click();
        function open(id) {
            $('.update_id').val(id);
            $('#modelss').css('display','block');
        }

    </script>
@endsection